Bug 433951 - [mr_IN] collation order is not defined
[mr_IN] collation order is not defined
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 06:22 EST by sandeep shedmake
Modified: 2008-04-01 03:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: glibc-2.7.90-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 03:41:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
this is patch created against glibc/devel branch (9.60 KB, patch)
2008-03-24 08:14 EDT, Pravin Satpute
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 5981 None None None Never

  None (edit)
Description sandeep shedmake 2008-02-22 06:22:42 EST
Description of problem:
In nautilus, Marathi characters are not getting sorted in ascending order.

Version-Release number of selected component (if applicable):
nautilus-2.21.91-1
glibc-2.7.90-7

How reproducible:


Steps to Reproduce:

1.Select Language=Marathi while logging in.
2.Create a sample input files with marathi characters typed on each line and
save it in .txt form.
3.Open the .txt file in Nautilus and see the output for ascending sorting order.
  
Actual results:
Characters are not sorted in dictionary order.

Expected results:
Sorting should be in dictionary order.

Additional info:
Collation order not defined for Marathi(Devanagari Script--U+0900_U+09FF) at
/usr/share/i18n/locales/mr_IN
Comment 1 Pravin Satpute 2008-02-22 06:28:28 EST
I am working on collation for marathi and soon i will submit patch to implement
collation for mr_IN
Comment 2 Pravin Satpute 2008-03-24 08:14:30 EDT
Created attachment 298884 [details]
this is patch created against glibc/devel branch

this patch add support for mr_IN sorting in glibc
Comment 3 Pravin Satpute 2008-04-01 00:56:02 EDT
the above patch is already accepted in upstream and its available in
glibc-common-2.7.90-12 in rawhide
Comment 4 sandeep shedmake 2008-04-01 03:41:43 EDT
Collation order for Marathi (mr) defined. Characters are getting sorted in
marathi according to  order defined at
http://www.indlinux.org/wiki/index.php/MarathiSort. Patch tested against
glibc-2.7.90-13.

Note You need to log in before you can comment on or make changes to this bug.